<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<parent>
		<groupId>org.springframework.boot</groupId>
		<artifactId>spring-boot-starter-parent</artifactId>
		<version>3.1.0</version>
		<relativePath/> <!-- lookup parent from repository -->
	</parent>
	<groupId>br.nemo.immigrant.ontology.entity</groupId>
	<artifactId>sysswo</artifactId>
	<version>0.0.1-SNAPSHOT</version>
	<name>sysswo</name>
	<description>The Software Ontology (SwO) captures that software products have a complex artifactual nature, being constituted of software artifacts of different nature, including software systems, programs and code.</description>
	<properties>
		<java.version>17</java.version>
	</properties>

	<repositories>
  <repository>
    <id>gitlab-maven</id>
    <url>https://gitlab.com/api/v4/groups/64623795/-/packages/maven</url>
  </repository>

</repositories>

<distributionManagement>
  <repository>
    <id>gitlab-maven</id>
    <url>https://gitlab.com/api/v4/projects/46802621/packages/maven</url>
  </repository>
  <snapshotRepository>
    <id>gitlab-maven</id>
    <url>https://gitlab.com/api/v4/projects/46802621/packages/maven</url>
  </snapshotRepository>
</distributionManagement>



	<dependencies>
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-data-jpa</artifactId>
		</dependency>
		<dependency>
			<groupId>br.nemo.immigrant.ontology.entity</groupId>
			<artifactId>base</artifactId>
			<version>0.0.1-SNAPSHOT</version>
		</dependency>
		<dependency>
      <groupId>br.nemo.immigrant.ontology.entity</groupId>
      <artifactId>spo</artifactId>
      <version>0.0.1-SNAPSHOT</version>
    </dependency>

	 <dependency>
      <groupId>br.nemo.immigrant.ontology.entity</groupId>
      <artifactId>eo</artifactId>
      <version>0.0.1-SNAPSHOT</version>
    </dependency>


    <dependency>
			<groupId>org.projectlombok</groupId>
			<artifactId>lombok</artifactId>
			<optional>true</optional>
		</dependency>
    <dependency>
        <groupId>org.postgresql</groupId>
        <artifactId>postgresql</artifactId>
        <scope>runtime</scope>
    </dependency>

    <dependency>
        <groupId>org.springframework.data</groupId>
        <artifactId>spring-data-commons</artifactId>
    </dependency>


	</dependencies>




</project>
